Subject: [calsify] [Technical Errata Reported] RFC5545 (5214)

From: RFC Errata System <[email-masked]>
Date: Sun, 24 Dec 2017 05:12:02 -0800 (PST)

The following errata report has been submitted for RFC5545,
"Internet Calendaring and Scheduling Core Object Specification (iCalendar)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5214

--------------------------------------
Type: Technical
Reported by: Richard Smith <[email-masked]>

Section: 3.6.5

Original Text
-------------
       timezonec  = "BEGIN" ":" "VTIMEZONE" CRLF
                    *(
                    ;
                    ; 'tzid' is REQUIRED, but MUST NOT occur more
                    ; than once.
                    ;
                    tzid /
                    ;
                    ; 'last-mod' and 'tzurl' are OPTIONAL,
                    ; but MUST NOT occur more than once.
                    ;
                    last-mod / tzurl /
                    ;
                    ; One of 'standardc' or 'daylightc' MUST occur
                    ; and each MAY occur more than once.
                    ;
                    standardc / daylightc /
                    ;
                    ; The following are OPTIONAL,
                    ; and MAY occur more than once.
                    ;
                    x-prop / iana-prop
                    ;
                    )
                    "END" ":" "VTIMEZONE" CRLF

Corrected Text
--------------
       timezonec    = "BEGIN" ":" "VTIMEZONE" CRLF
                      timezoneprop timezonesubc
                      "END" ":" "VTIMEZONE" CRLF

       timezoneprop = *(
                      ;
                      ; 'tzid' is REQUIRED, but MUST NOT occur more
                      ; than once.
                      ;
                      tzid /
                      ;
                      ; 'last-mod' and 'tzurl' are OPTIONAL,
                      ; but MUST NOT occur more than once.
                      ;
                      last-mod / tzurl /
                      ;
                      ; The following are OPTIONAL,
                      ; and MAY occur more than once.
                      ;
                      x-prop / iana-prop
                      ;

       timezonesubc = *(
                      ;
                      ; One of 'standardc' or 'daylightc' MUST occur
                      ; and each MAY occur more than once.
                      ;
                      standardc / daylightc
                      ;
                      )

Notes
-----
The definition of icalbody shows that calendar properties precede components. Some components may contains sub-components. For those that may:

The definition of eventc (section 3.6.1 - Event Component) also shows that properties precede sub-components.

The definition of todoc (section 3.6.2 - To-Do Component) also shows that properties precede sub-components.

However, the definition of timezonec (section 3.6.5 - Time Zone Component) shows that properties and sub-components may be intermingled. The corrected text assumes this was not intended.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5545 (draft-ietf-calsify-rfc2445bis-10)
--------------------------------------
Title               : Internet Calendaring and Scheduling Core Object Specification (iCalendar)
Publication Date    : September 2009
Author(s)           : B. Desruisseaux, Ed.
Category            : PROPOSED STANDARD
Source              : Calendaring and Scheduling Standards Simplification
Area                : Applications
Stream              : IETF
Verifying Party     : IESG